package com.jkcredit.invoice.service.upservice.impl;

import cn.com.taiji.sdk.model.comm.protocol.eoms.EomsServiceType;
import cn.com.taiji.sdk.model.comm.protocol.tccore.Sdk;
import cn.com.taiji.sdk.model.comm.protocol.tccore.ServiceSubTypeAware;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * All rights Reserved, Designed By www.erayt.com
 *
 * @author mashengyi
 * @Title
 * @Package com.jkcredit.invoice.service.upservice.impl
 * @Description (这里用一句话描述这个文件的作用)
 * @date 2024/4/7 上午11:53
 **/
@Sdk(
        packageName = "eoms"
)
public enum CompanyCmd implements ServiceSubTypeAware {

    ADD("注册企业", EomsServiceType.COMPANY) {
    },
    QUERY("查询企业", EomsServiceType.COMPANY) {
    },
    CONTRACTADD("添加合同", EomsServiceType.COMPANY) {
    },
    CONTRACTQUERY("查询合同", EomsServiceType.COMPANY) {
    },
    FINDONE("通过num查询公司", EomsServiceType.COMPANY) {
    },
    LISTALL("查询全量公司", EomsServiceType.COMPANY) {
    },
    LISTTITLEALL("查询全量抬头", EomsServiceType.COMPANY) {
    },
    FINDONETITLE("通过税号查抬头", EomsServiceType.COMPANY) {
    },
    COMPANYLIST("百望同步公司", EomsServiceType.COMPANY) {
    },
    COMPANYUSERLIST("百望同步用户", EomsServiceType.COMPANY) {
    },
    QUERYAUTH("查询渠道", EomsServiceType.COMPANY) {
    },
    QUERYALLAUTH("查询全量渠道", EomsServiceType.COMPANY) {
    },
    QUERYCOMPANYLIMIT("查询公司所在渠道是否受限名单过滤", EomsServiceType.COMPANY) {
    },
    COMPANYBINDGROUPALL("查询公司卡绑定组", EomsServiceType.COMPANY) {
    },
    AUTHCOMPANYLIST("查询渠道下属公司", EomsServiceType.COMPANY) {
    },
    AUTHQUERYONE("查询渠道信息", EomsServiceType.COMPANY) {
    },
    CONFIRMCONTRACTADD("添加公司的承诺协议", EomsServiceType.COMPANY) {
    },
    CONFIRMCONTRACTQUERY("查询公司的承诺协议", EomsServiceType.COMPANY) {
    },
    EDITEMAIL("修改企业邮箱", EomsServiceType.COMPANY) {
    },
    QUERYEMAIL("查询企业最新邮箱", EomsServiceType.COMPANY) {
    },
    COMPANYDETAILADD("添加企业经办人明细", EomsServiceType.COMPANY) {
    },
    COMPANYOPERATOREDIT("变更企业经办人", EomsServiceType.COMPANY) {
    },
    COMPANYOPERATOREDITCONFIRM("变更企业经办人短信确认", EomsServiceType.COMPANY) {
    },
    UPLOADOPERATOREVIDENCE("上传经办人证明附件", EomsServiceType.COMPANY) {
    };

    private static Logger logger = LoggerFactory.getLogger(cn.com.taiji.sdk.model.comm.protocol.eoms.CompanyCmd.class);
    private String value;
    private EomsServiceType type;

    private CompanyCmd(String var3, EomsServiceType var4) {
        this.value = var3;
        this.type = var4;
    }

    @Override
    public EomsServiceType getServiceType() {
        return this.type;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    public EomsServiceType getType() {
        return this.type;
    }

    public static CompanyCmd fromName(String var0) {
        try {
            return valueOf(var0);
        } catch (Exception var2) {
            logger.error(var2.getMessage());
            return null;
        }
    }
}
